Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.bpmn2.xml
Class AbstractNodeHandler

    java.lang.Object
      org.drools.xml.BaseAbstractHandler
          org.jbpm.bpmn2.xml.AbstractNodeHandler

All Implemented Interfaces:
  org.drools.xml.Handler

Direct Known Subclasses:
  ActionNodeHandler, BoundaryEventHandler, BusinessRuleTaskHandler, CallActivityHandler, CatchLinkNodeHandler, ComplexGatewayHandler, CompositeContextNodeHandler, EndEventHandler, EndNodeHandler, EventBasedGatewayHandler, EventNodeHandler, ExclusiveGatewayHandler, FaultNodeHandler, ForEachNodeHandler, InclusiveGatewayHandler, IntermediateCatchEventHandler, IntermediateThrowEventHandler, JoinHandler, ParallelGatewayHandler, ScriptTaskHandler, SplitHandler, StartEventHandler, StateNodeHandler, SubProcessHandler, TaskHandler, ThrowLinkNodeHandler, TimerNodeHandler, WorkItemNodeHandler

    public abstract class AbstractNodeHandler

extends org.drools.xml.BaseAbstractHandler
implements org.drools.xml.Handler

Field Summary
`protected Map<String,String>` | `dataInputs`
`protected Map<String,String>` | `dataOutputs`
`protected static String` | `EOL`

Fields inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, validParents, validPeers`

Constructor Summary
`AbstractNodeHandler()`

Method Summary
`protected abstract Node` | `createNode(Attributes attrs)`
`Object` | `end(String uri, String localName, org.drools.xml.ExtensibleXmlParser parser)`
`protected void` | `endNode(StringBuilder xmlDump)`
`protected void` | `endNode(String name, StringBuilder xmlDump)`
`static DroolsAction` | `extractScript(Element xmlNode)`
`protected void` | `handleNode(Node node, Element element, String uri, String localName, org.drools.xml.ExtensibleXmlParser parser)`
`protected void` | `handleScript(ExtendedNodeImpl node, Element element, String type)`
`protected void` | `initValidParents()`
`protected void` | `initValidPeers()`
`protected void` | `readIoSpecification(Node xmlNode, Map<String,String> dataInputs, Map<String,String> dataOutputs)`
`Object` | `start(String uri, String localName, Attributes attrs, org.drools.xml.ExtensibleXmlParser parser)`
`abstract void` | `writeNode(Node node, StringBuilder xmlDump, int metaDataType)`
`protected void` | `writeNode(String name, Node node, StringBuilder xmlDump, int metaDataType)`
`static void` | `writeScript(DroolsAction action, String type, StringBuilder xmlDump)`
`protected void` | `writeScripts(ExtendedNodeImpl node, StringBuilder xmlDump)`
`protected void` | `writeScripts(String type, List<DroolsAction> actions, StringBuilder xmlDump)`

Methods inherited from class org.drools.xml.BaseAbstractHandler
`allowNesting, emptyAttributeCheck, emptyContentCheck, getValidParents, getValidPeers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.xml.Handler
`allowNesting, generateNodeFor, getValidParents, getValidPeers`

Field Detail

### EOL

    protected static final String EOL

### dataInputs

    protected Map<String,String> dataInputs

### dataOutputs

    protected Map<String,String> dataOutputs

Constructor Detail

### AbstractNodeHandler

    public AbstractNodeHandler()

Method Detail

### initValidParents

    protected void initValidParents()

### initValidPeers

    protected void initValidPeers()

### start

    public Object start(String uri,
                        String localName,
                        Attributes attrs,
                        org.drools.xml.ExtensibleXmlParser parser)
                 throws SAXException

  Specified by:
    `start` in interface `org.drools.xml.Handler`
  Throws:
    `SAXException`

### createNode

    protected abstract Node createNode(Attributes attrs)

### end

    public Object end(String uri,
                      String localName,
                      org.drools.xml.ExtensibleXmlParser parser)
               throws SAXException

  Specified by:
    `end` in interface `org.drools.xml.Handler`
  Throws:
    `SAXException`

### handleNode

    protected void handleNode(Node node,
                              Element element,
                              String uri,
                              String localName,
                              org.drools.xml.ExtensibleXmlParser parser)
                       throws SAXException

  Throws:
    `SAXException`

### writeNode

    public abstract void writeNode(Node node,
                                   StringBuilder xmlDump,
                                   int metaDataType)

### writeNode

    protected void writeNode(String name,
                             Node node,
                             StringBuilder xmlDump,
                             int metaDataType)

### endNode

    protected void endNode(StringBuilder xmlDump)

### endNode

    protected void endNode(String name,
                           StringBuilder xmlDump)

### handleScript

    protected void handleScript(ExtendedNodeImpl node,
                                Element element,
                                String type)

### extractScript

    public static DroolsAction extractScript(Element xmlNode)

### writeScripts

    protected void writeScripts(ExtendedNodeImpl node,
                                StringBuilder xmlDump)

### writeScripts

    protected void writeScripts(String type,
                                List<DroolsAction> actions,
                                StringBuilder xmlDump)

### writeScript

    public static void writeScript(DroolsAction action,
                                   String type,
                                   StringBuilder xmlDump)

### readIoSpecification

    protected void readIoSpecification(Node xmlNode,
                                       Map<String,String> dataInputs,
                                       Map<String,String> dataOutputs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Alpha9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.